﻿@using WebAppDoctorManagement.Models;
@model IEnumerable<DoctorProfileViewModel>
@{
    ViewBag.Title = "DoctorProfile Information";
}
<div>
    @Html.ActionLink("Capture Doctor Profile", "CaptureDoctorProfile", "Doctor")
</div>
<h4>Doctor Profile Information</h4>
<hr />
<table class="table table-bordered" cellpadding="0" cellspacing="0" id="tblDoctorProfileInfoGrid">
    <thead>
        <tr>
            <th>Title</th>
            <th>First Name</th>
            <th>Surname</th>
            <th>HPCSA NUMBER</th>
            <th>ID Number</th>
            <th>Discipline</th>
            <th>Province</th>
            <th>Region</th>
        </tr>
    </thead>
    <tbody>
        @foreach (DoctorProfileViewModel docProfile in Model)
        {
            <tr>
                <td>@docProfile.Title.Description</td>
                <td>@docProfile.FirstName</td>
                <td>@docProfile.Surname</td>
                <td>@docProfile.HPCSANUMBER</td>
                <td>@docProfile.IDNumber</td>
                <td>@docProfile.Discipline</td>
                <td>@docProfile.Province.Description</td>
                <td>@docProfile.Region.Description</td>
            </tr>
        }
    </tbody>
</table>
<script src="~/Scripts/DataTables/jquery.dataTables.js"></script>
<link href="~/Content/DataTables/css/dataTables.jqueryui.css" rel="stylesheet" />
<script>
    $(document).ready(function () {
        $('#tblDoctorProfileInfoGrid').DataTable();
    });

</script>